=== debian/changelog ===
gcc-arm-linux-androideabi (0.20130705.1-0ubuntu9) xenial; urgency=medium

  * Rebuild against gcc-4.7 (4.7.4-3ubuntu10):
  * Build using gcc-4.7.
  * Configure the stage2 gcc build with --enable-cloog-backend=ppl.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2015 21:15:41 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu8) utopic; urgency=medium

  * Rebuild against gcc-4.7 (4.7.4-2ubuntu1):
    - Update to the GCC 4.7.4 release.
    - Update the Linaro support to the 4.7-2014.04 release.
  * Build with make-4.0.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 22 Oct 2014 15:34:33 +0200

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu7) trusty; urgency=medium

  * Rebuild against gcc-4.7 (4.7.3-12ubuntu1):
    - Update to SVN 20140320 (r208693) from the gcc-4_7-branch.
    - Update the Linaro support to the 4.7-2014.01 release.
  * Change build-dependency from libppl0.12-dev to libppl-dev.
  * Change build-dependency from libcloog-isl-dev to libcloog-ppl-dev.
  * Change enable-cloog-backend from isl to ppl.
  * Pass --with-cloog configure option.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 21 Mar 2014 14:59:34 +0000

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu6) trusty; urgency=medium

  * Rebuild against gcc-4.7 (4.7.3-10ubuntu1) trusty:
    - Update to SVN 20140112 (r206563) from the gcc-4_7-branch. 
    - Update the Linaro support to the 4.7-2013.12 release.
  * Enable support for -fuse-ld=gold compiler option.
  
 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 29 Jan 2014 23:37:52 +0000

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu5) saucy; urgency=low

  * Rebuild against gcc-4.7 (4.7.3-7):
    - Update to SVN 20130821 (r201895) from the gcc-4_7-branch.
    - Update the Linaro support to the 4.7-2013.08 release.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 06 Sep 2013 12:24:29 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu4) saucy; urgency=low

  * Build against Linaro support to the 4.7-2013.07 release.
  * Drop spurious patch and stub documentation.
  * Build without binutils patches.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 15 Jul 2013 17:47:44 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu3) saucy; urgency=low

  * Ship bionic libc and headers.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Mon, 08 Jul 2013 16:58:36 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu2) saucy; urgency=low

  * Use /usr/lib, instead of /usr/libexec
  * Remove unneeded .la files
  * Remove versioned gcc-4.x.y symlink
  * Build shared binutils
  * Use xz compression on debian package

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 05 Jul 2013 19:50:17 +0100

gcc-arm-linux-androideabi (0.20130705.1-0ubuntu1) saucy; urgency=low

  * Initial release, android cross-toolchain.

 -- Dmitrijs Ledkovs <dmitrij.ledkov@ubuntu.com>  Fri, 05 Jul 2013 10:12:24 +0100
