=== debian/control ===
Source: gcc-arm-linux-androideabi
Section: devel
Priority: extra
Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
Build-Depends: debhelper (>= 9),
  g++-multilib, binutils-multiarch, gcc-4.7,
  binutils-source, gcc-4.7-source (>= 4.7.4-3ubuntu10),
  libpplv4-dev,
  bison, flex, python,
  zlib1g-dev, libcloog-pplv4-dev, libgmp-dev, libmpfr-dev, libmpc-dev,
  patchutils, quilt, lsb-release, texinfo, autogen, dh-exec
Standards-Version: 3.9.6

Package: gcc-arm-linux-androideabi
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, binutils-multiarch
Description: cross toolchain and binutils for Android/Bionic on ARM
 Cross toolchain targetting Android/Bionic on ARM such as Android,
 ClockWorkMod, Ubuntu Touch recovery image, Ubuntu Tounch android
 containers.
 .
 This package include gcc toolchain for C/C++ languages and binutils.
 .
 Libionic is not included in this package.
